#ifndef UTIL_H
#define UTIL_H

char* util_read_file(const char *path);
char* util_dirname(const char *path);
char* util_basename(const char *path);
char* util_strip_ext(const char *path);
int util_file_exists(const char *path);
void util_trim_newline(char *str);

#endif
